# Class CSS2DRenderer

- Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:27

##### Index

### Constructors

constructor

### Properties

domElement
sortObjects

### Methods

getSize
render
setSize

## Constructors

### constructor

- new CSS2DRenderer(parameters?: CSS2DRendererParameters): CSS2DRenderer

  #### Parameters

  - `Optional` parameters: CSS2DRendererParameters

  #### Returns CSS2DRenderer

  - Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:29

## Properties

### domElement

domElement: HTMLElement

- Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:30

### sortObjects

sortObjects: boolean

- Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:31

## Methods

### getSize

- getSize(): { height: number; width: number }

  #### Returns { height: number; width: number }

  - Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:33

### render

- render(scene: Scene, camera: Camera): void

  #### Parameters

  - scene: Scene
  - camera: Camera

  #### Returns void

  - Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:35

### setSize

- setSize(width: number, height: number): void

  #### Parameters

  - width: number
  - height: number

  #### Returns void

  - Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:34